mscorlib 2.0.0.0 4.0.0.0 System.SystemException System.Runtime.InteropServices.ComVisible(true)

For information about setting the time-out interval before a exception is thrown, consult the documentation for the type whose method timed out. For information about handling the time-out, see the documentation for the method that threw the exception.

uses the HRESULT, COR_E_TIMEOUT, which has the value 0x80131505.

For a list of initial property values for an instance of , see the constructors.

The exception that is thrown when the time allotted for a process or operation has expired.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the inherited property of the new instance with a system-supplied error message. This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The localized error message string.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the inherited property of the new instance using the value of the parameter.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The error message string.

  Initializes a new instance of the class with the specified error message.

  The message that describes the error.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see Binary Serialization.

  Initializes a new instance of the class with serialized data.

  The object that contains serialized object data about the exception being thrown.
  The object that contains contextual information about the source or destination. The parameter is reserved for future use, and can be specified as null.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the inherited property of the new instance using the value of the parameter.

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed to the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The error message string.

  The inner exception reference.

  Initializes a new instance of the class with the specified error message and inner exception.

  The message that describes the error.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.